Last Comment Bug 782480 - Fix JSDOMParser's removeChild()
: Fix JSDOMParser's removeChild()
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: Reader View (show other bugs)
: unspecified
: All Android
: -- normal (vote)
: Firefox 17
Assigned To: Lucas Rocha (:lucasr)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 18:39 PDT by Lucas Rocha (:lucasr)
Modified: 2012-08-23 02:37 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
fixed


Attachments
Clear parentNode reference when removing a child in JSDOMParser (1021 bytes, patch)
2012-08-13 18:44 PDT, Lucas Rocha (:lucasr)
bnicholson: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Review

Description Lucas Rocha (:lucasr) 2012-08-13 18:39:24 PDT
Need to clear the removed child'd parentNode reference.
Comment 1 Lucas Rocha (:lucasr) 2012-08-13 18:44:05 PDT
Created attachment 651608 [details] [diff] [review]
Clear parentNode reference when removing a child in JSDOMParser
Comment 2 Lucas Rocha (:lucasr) 2012-08-13 18:44:47 PDT
This patch fixes reader mode in arstechnica, for example.
Comment 3 Brian Nicholson (:bnicholson) (on PTO through June 3) 2012-08-14 07:39:08 PDT
Comment on attachment 651608 [details] [diff] [review]
Clear parentNode reference when removing a child in JSDOMParser

Nice catch...I thought it had that already, but apparently not.
Comment 4 Lucas Rocha (:lucasr) 2012-08-15 09:25:05 PDT
Pushed: https://hg.mozilla.org/integration/mozilla-inbound/rev/130965086c2a
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-08-15 18:45:51 PDT
https://hg.mozilla.org/mozilla-central/rev/130965086c2a
Comment 6 Lucas Rocha (:lucasr) 2012-08-20 05:31:51 PDT
Comment on attachment 651608 [details] [diff] [review]
Clear parentNode reference when removing a child in JSDOMParser

[Approval Request Comment]
User impact if declined: Readability check will simply fail on certain pages (e.g. arstechnica.com). Reader mode becomes unavailable for those pages as a result.
Testing completed (on m-c, etc.): A few days on m-c, no regressions.
Risk to taking this patch (and alternatives if risky): Very low, trivial one-line patch.
String or UUID changes made by this patch: None.
Comment 7 Lucas Rocha (:lucasr) 2012-08-22 09:51:09 PDT
Pushed to mozilla-aurora: https://hg.mozilla.org/releases/mozilla-aurora/rev/fd0cdea0b171

Note You need to log in before you can comment on or make changes to this bug.